Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.pageeditor.FindOption Class Reference

## Public Member Functions
| FindOption ()
| Constructor.
| FindOption (boolean is_whole_word, boolean is_case_sensitive)
| Constructor, with parameters. More...
| FindOption (FindOption find_option)
| Constructor, with another find option object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_case_sensitive ()
| Get a boolean value specifies that whether to match case. More...
boolean | getIs_whole_word ()
| Get a boolean value specifies that whether to match whole words only. More...
void | set (boolean is_whole_word, boolean is_case_sensitive)
| Set value. More...
void | setIs_case_sensitive (boolean value)
| Set a boolean value specifies that whether to match case. More...
void | setIs_whole_word (boolean value)
| Set a boolean value specifies that whether to match whole words only. More...

## Detailed Description

This class represents the find option which is used by TextSearchReplace objects.

## Constructor & Destructor Documentation

## ◆ FindOption() [1/2]

com.foxit.sdk.addon.pageeditor.FindOption.FindOption | ( | boolean | is_whole_word,
|  | boolean | is_case_sensitive
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only.true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

## ◆ FindOption() [2/2]

com.foxit.sdk.addon.pageeditor.FindOption.FindOption | ( | FindOption | find_option | ) |

Constructor, with another find option object.

Parameters

  [in] | find_option | Another find option object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pageeditor.FindOption.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_case_sensitive()

com.foxit.sdk.addon.pageeditor.FindOption.getIs_case_sensitive | ( |  | ) |

Get a boolean value specifies that whether to match case.

Returns
  A boolean value specifies that whether to match case.true means to match case, otherwise no.

## ◆ getIs_whole_word()

com.foxit.sdk.addon.pageeditor.FindOption.getIs_whole_word | ( |  | ) |

Get a boolean value specifies that whether to match whole words only.

Returns
  A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.

## ◆ set()

void com.foxit.sdk.addon.pageeditor.FindOption.set | ( | boolean | is_whole_word,
|  | boolean | is_case_sensitive
| ) |  |

Set value.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

Returns
  None.

## ◆ setIs_case_sensitive()

com.foxit.sdk.addon.pageeditor.FindOption.setIs_case_sensitive | ( | boolean | value | ) |

Set a boolean value specifies that whether to match case.

Parameters

  [in] | value | A boolean value specifies that whether to match case.true means to match case, otherwise no.

Returns
  None.

## ◆ setIs_whole_word()

com.foxit.sdk.addon.pageeditor.FindOption.setIs_whole_word | ( | boolean | value | ) |

Set a boolean value specifies that whether to match whole words only.

Parameters

  [in] | value | A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.

Returns
  None.